Distribution:	CCux
Packager:	Dieter Rethmeyer

Name:		pciutils
Version:	3.1.7
Release: 	1
Epoch:		1
Source:		pciutils-%{version}.tar.bz2
Patch1:		pciutils-2.1.10-scan.patch
Patch2: 	pciutils-havepread.patch
Patch3: 	pciutils-3.1.3-idpath.patch
URL:		http://atrey.karlin.mff.cuni.cz/~mj/pciutils.shtml
License:	GNU/GPL
Buildroot: 	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
Summary: 	PCI bus related utilities.
Group: 		System/Configuration/Hardware
# these are required to get the latest usb.ids file :
BuildRequires:  which
BuildRequires:  wget
Requires:	hwdata

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: zlib-devel

%description
The pciutils package contains various utilities for inspecting and
setting devices connected to the PCI bus. The utilities provided
require kernel version 2.1.82 or newer (which support the
/proc/bus/pci interface).

%package devel
Summary: 	pciutils development headers and libpci.
Group:     	System/Libraries         
Requires: 	%{name} = %{epoch}:%{version}-%{release}

%description devel
Header and include files for developing applications with pciutils.

%prep
%setup -q
%patch1 -p1 -b .scan
%patch2 -p1 -b .pread
%patch3 -p1 -b .idpath

%build
make OPT="-Os -march=pentium3 -msse -mfpmath=sse -pipe -fomit-frame-pointer -D_GNU_SOURCE=1" PREFIX="/usr" IDSDIR="/usr/share/hwdata"


%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/{sbin,%{_mandir}/man8,%{_libdir},%{_includedir}/pci}

install lspci setpci update-pciids $RPM_BUILD_ROOT/sbin
install lspci.8 setpci.8 update-pciids.8 $RPM_BUILD_ROOT%{_mandir}/man8
install lib/libpci.a $RPM_BUILD_ROOT%{_libdir}
install lib/pci.h $RPM_BUILD_ROOT%{_includedir}/pci
install lib/header.h $RPM_BUILD_ROOT%{_includedir}/pci
install lib/config.h $RPM_BUILD_ROOT%{_includedir}/pci
install lib/types.h $RPM_BUILD_ROOT%{_includedir}/pci

%files
%defattr(0644, root, root, 0755)
%attr(0755, root, root) /sbin/lspci
%attr(0755, root, root) /sbin/setpci
%attr(0755, root, root) /sbin/update-pciids
%{_mandir}/man8/lspci.8.gz
%{_mandir}/man8/setpci.8.gz
%{_mandir}/man8/update-pciids.8.gz
%doc README ChangeLog pciutils.lsm

%files devel
%defattr(0644, root, root, 0755)
%{_libdir}/libpci.a
%{_includedir}/pci

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Feb 17 2010 Karsten Brockmann <arcam@ccux-linux.de> 3.1.7-1
- Version update
* Wed Jan 27 2010 Karsten Brockmann <arcam@ccux-linux.de> 3.1.6-1
- Version update
* Tue Jan 19 2010 Karsten Brockmann <arcam@ccux-linux.de> 3.1.5-1
- Version update
* Sun Nov 15 2009 Karsten Brockmann <arcam@ccux-linux.de> 3.1.4-1
- Version update
* Tue Aug 04 2009 Karsten Brockmann <arcam@ccux-linux.de> 3.1.3-1
- Version update
* Fri Apr 11 2008 Karsten Brockmann <arcam@ccux-linux.de> 3.0.0-1
- Version update
* Fri Oct 19 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.2.8-1
- Version update
* Tue Jul 10 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.2.6-1
- Version update
* Sun May 06 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.2.5-1
- Version update
* Fri Sep 29 2006 Christian Metzen <metzench@ccux-linux.de> 2.2.3-3
- back to 2.2.3
* Wed Sep 13 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.2.4-1
- Version update
* Fri Jul 07 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.2.3-2
- Version update
* Sat Apr 01 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.2.1-2
- refined spec file 
* Sat Apr 01 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.2.1-1
- Version Update, reworked spec file
* Mon Feb 15 2005 Christian Metzen <metzench@ccux-linux.de> 2.1.11-8
- Removed Group man
* Mon Feb 14 2005 Christian Metzen <metzench@ccux-linux.de> 2.1.11-7
- Tweaked SPEC File
* Thu Feb  9 2005 Dieter Rethmeyer <dieter@rethmeyers.de> 2.1.11-6
- written spec on basis of mdk package for ccux
- added devel package to spec file
